Firmware Updater 4.0

Discussion in 'Wii - Hacking' started by M-A-F-I-A, Mar 26, 2009.

Mar 26, 2009

Firmware Updater 4.0 by M-A-F-I-A at 12:36 PM (21,097 Views / 0 Likes) 130 replies

  1. M-A-F-I-A
    OP

    Member M-A-F-I-A GBAtemp Regular

    Joined:
    Nov 2, 2002
    Messages:
    150
    Location:
    Palermo
    Country:
    Italy
    Firmware Updater 4.0
     


  2. FRanatic

    Member FRanatic GBAtemp Regular

    Joined:
    Nov 1, 2008
    Messages:
    277
    Country:
    Netherlands
    Nice !
    And very fast aswell.

    One thing remains. I wonder if it's possible to patch the dip module in the new ios'. I would really like to have cioscorp 4.0 [​IMG]
     
  3. 9600pro

    Newcomer 9600pro Advanced Member

    Joined:
    Nov 14, 2008
    Messages:
    83
    Country:
    Italy
    M-A-F-I-A [​IMG]
     
  4. OuahOuah

    Member OuahOuah GBAtemp Advanced Fan

    Joined:
    Oct 2, 2006
    Messages:
    948
    Location:
    France
    Country:
    France
    Same idea in mind [​IMG]

    Wy MAFIA ?
     
  5. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,283
    Country:
    Netherlands
    Nice way to get the sd card functionality. But it will only be for legal vc/wiiware
    if you move a pirated one to sd, it won't run and you can't move it back to nand
     
  6. Pedro_Lambrini

    Member Pedro_Lambrini Gēmu Bōi Adobansu

    Joined:
    Feb 25, 2004
    Messages:
    293
    Country:
    United Kingdom
    So, how do I install this? Do I have to rename it to Boot.DOL or something like that? I use the HBC for my HB needs. Thanks in advance. [​IMG]
     
  7. _Contra_

    Member _Contra_ GBAtemp Fan

    Joined:
    Feb 11, 2009
    Messages:
    315
    Country:
    Italy
    the preloader work?
     
  8. Linuks

    Member Linuks GBAtemp Regular

    Joined:
    Aug 30, 2008
    Messages:
    299
    Location:
    France
    Country:
    France
    Can we choose the apps we want to install?
    If I just want to install some IOSes, the new Photo Channel and the new Shop, can I use this app?
     
  9. Pedro_Lambrini

    Member Pedro_Lambrini Gēmu Bōi Adobansu

    Joined:
    Feb 25, 2004
    Messages:
    293
    Country:
    United Kingdom
    I'm not so bothered about using pirated WADs for VC and WiiWare. I just want to update and continue to use my emulators...I hope this is possible. [​IMG]
     
  10. Aurora Wright

    Member Aurora Wright GBAtemp Maniac

    Joined:
    Aug 13, 2006
    Messages:
    1,387
    Country:
    Italy
    Preloader installs correctly, but System Menu loading does not work [​IMG]
     
  11. evala

    Newcomer evala Member

    Joined:
    Dec 13, 2008
    Messages:
    45
    Country:
    Bulgaria
    so what does this updater basicly do? what difference does it have to uploading the normal way?
     
  12. Dr Eggman

    Member Dr Eggman I am THE Eggman.

    Joined:
    Jul 12, 2008
    Messages:
    223
    Location:
    Eggmanland! (Toronto IRL)
    Country:
    Canada
    So, if I'm not mistaken, this will only update the sysmenu wad, IOS60, 61 and the new shop.


    If cIOSCORP is already installed i think this wouldnt overwrite it.
    Only problem: No starfall or Preloader, thus no brick-protection.
     
  13. Scolor

    Member Scolor GBAtemp Regular

    Joined:
    Nov 7, 2008
    Messages:
    172
    Country:
    Italy
    This means that we can't co into System Menu with Preloader if we install this? o.O

    Btw great work Waninkoko. [​IMG]
     
  14. skawo96

    Member skawo96 GBAtemp Advanced Maniac

    Joined:
    May 22, 2008
    Messages:
    1,925
    Country:
    United Kingdom
    It gets stuck on Downloading System Menu 4.0 Content 9 for me.
     
  15. Dr Eggman

    Member Dr Eggman I am THE Eggman.

    Joined:
    Jul 12, 2008
    Messages:
    223
    Location:
    Eggmanland! (Toronto IRL)
    Country:
    Canada
    edit: double post
     
  16. Scolor

    Member Scolor GBAtemp Regular

    Joined:
    Nov 7, 2008
    Messages:
    172
    Country:
    Italy
    Well, I'll not install it if I can't use Preloader. :S

    I'll wait for BootMii. [​IMG]
     
  17. OuahOuah

    Member OuahOuah GBAtemp Advanced Fan

    Joined:
    Oct 2, 2006
    Messages:
    948
    Location:
    France
    Country:
    France

    System Menu with Disc Channel from 4.0 reads DVD with IOS60 and as CIOSCORP did not patch IOS60, it will not load DVD with disc menu.
     
  18. FRanatic

    Member FRanatic GBAtemp Regular

    Joined:
    Nov 1, 2008
    Messages:
    277
    Country:
    Netherlands
    If only the new IOS' are installed (and patched) you are correct.
    If it installs all IOS', then cIOSCORP is lost and you might corrupt the newly installed IOS'.

    Also, disc channel loading won't work as the dip module will not be patched into the new systemmenu IOS60.
    Well, that depends on the patching it does, but I don't think waninkoko has incorparated this.
     
  19. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    I was just thinking it would be cool to have such kind of application
    basically, this is like the IOS61/Shop installer with System menu/IOS60 added

    what could be even cooler would be to have a menu with the ability to list ALL the stuff that can be downloaded from NUS servers (system menu, channels & IOS) , to download them and to apply (patchmii style) any kind of available patches: IOS patches (to allow the signature back again, read from DVD-R, access File System, remove version check, etc...) but also System Menu patches (to re-allow TP hack,etc)

    this way you could basically setup your Wii as you want to and keep your system up-to-date... maybe with some pre-configured setup for less advanced users

    off course, this would require advanced hackers to analyse the System Menu has they are released (as well as newer IOS versions that could use unknown methods) to find what and where to apply patches
     
  20. Fye_DX

    Member Fye_DX GBAtemp Regular

    Joined:
    Sep 19, 2008
    Messages:
    109
    Location:
    Lisbon
    Country:
    Portugal
    Well, if you want to try System Menu 4.0, this is the safest way. IOS60 is Trucha-Patched, and that means you CAN install cIOS AFTER the update. In other words, even if you install v4.0X with this and didn't have a cIOS installed, you can install it after, meaning, you can then downgrade with Waninkoko's tools.
    At least, that's what I got from Waninkoko. [​IMG]

    --EDIT:--
    I'm getting back to v3.2E now, but once cIOSCORP is updated then v4.0X will 'probably' be the new v3.2X. After all, it will have Trucha bugs, cIOSCORP and all the new features.
     

Share This Page